//
//  SingletonSampleViewController.m
//  SingletonSample
//
//  Created by Y on 10/06/14.
//  Copyright Cobalt Users Group 2010. All rights reserved.
//

#import "SingletonSampleViewController.h"
#import "SingletonManager.h"  // 対象オブジェクトの定義を見せないと使えない

@implementation SingletonSampleViewController

// シングルトンに保持された値を表示する
- (IBAction)showMe
{
	SingletonManager *single = [SingletonManager sharedManager]; // singleton を取得
	NSInteger param = single.managedParam; // シングルトンオブジェクトから値を取得してみた
	
	display.text = [NSString stringWithFormat:@"%03d", param];
	
}


// （スライダーの動きを受けて）シングルトンに保持された値をセットする
- (IBAction)sliderSet:(id)sender
{
	NSInteger value = [(UISlider *)sender value] * 100; // スライダの値を（100以下の整数で）取得
	NSLog(@"slider %d", value);
	
	SingletonManager *single = [SingletonManager sharedManager]; // シングルトンオブジェクトを取得
	single.managedParam=value; // シングルトンオブジェクトに値をセットしてみた
}




/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
