//
//  SingletonManager.m
//  SingletonSample
//
//  Created by Y on 10/06/14.
//  Copyright 2010 Cobalt Users Group. All rights reserved.
//

#import "SingletonManager.h"

static id theSharedManager = nil; // 初期化済みフラグ

@implementation SingletonManager

@synthesize managedParam; // setter, getter をこれで用意

// インスタンス（シングルトン）を返す（まだ無ければ作る）
// これはクラスメソッド（+つきで定義）
+ (id)sharedManager {
	if (theSharedManager == nil) { // 初期化を経ていなければ
		theSharedManager = [[self alloc] init]; // 初期化
		// 必要なら初期的な設定をここに書いておく
		NSLog(@"init");
	}
	return theSharedManager; // ここで返すインスタンスは事実上シングルトンとなる
}

// シングルトン内部の初期化（必要なら）
- (id)init
{
	if ((self = [super init]) != nil) {
		// 他にもインスタンス変数（もしあれば）の初期化等があればここで、、
		managedParam=0;
	}
	return self;
}

- (void)dealloc {
    [super dealloc];
}



@end
